0
$\begingroup$

Rosanswers logo

According to Tutorial setup (Ubuntu10.04 ROS ELECTRIC version)

first run rosdep install rviz rosmake rviz rosrun rviz rviz rviz not work ??

run command output : rviz revision number 1.6.7 ogre_tools revision number 1.6.3 compiled against OGRE version 1.7.3 (Cthugha) Loading general config from [/home/robot/.rviz/config] Loading display config from [/home/robot/.rviz/display_config] RTT preferred mode is PBbuffer The program 'rviz' received an X Window System error. This probably reflects a bug in the program. The error was 'Baddrawable (Details: serial 17 error_code 16 request_code 153 minor_code 17) (Note to programmers: normally, X errors are reported asynchronously; that is, you will receive the error a while after causing it. To debug your program, run it with the --sync command line option to change this behavior. You can then get a meaningful backtrace from your debugger if you break on the gdk_x_error() function.)

glxinfo gives me this:

robot@robot:~$ glxinfo |grep version server glx version string: 1.2 client glx version string: 1.4 GLX version: 1.2 OpenGL version string: 2.1 Mesa 7.7.1 OpenGL shading language version string: 1.20

Any ideas what I might be doing wrong? Thanks.( I can success rosrun turtlesim turtlesim_node )


Originally posted by Eric.long on ROS Answers with karma: 5 on 2014-08-07

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

Several things:

  • You're using very old versions of ROS and Ubuntu. These are not supported any more.
  • The old version of rviz that you're using probably doesn't work well without a dedicated graphics card. Do you have an Nvidia graphics card, and have you tried installing the drivers for it?

Originally posted by ahendrix with karma: 47576 on 2014-08-07

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by Eric.long on 2014-08-07:
do you know how to update GLX version ?
for example :server glx version string: 1.4 client glx version string: 1.4 GLX version: 1.4

Comment by ahendrix on 2014-08-07:
Do you have an Nvidia graphics card, and have you tried installing the drivers for it?

Comment by Eric.long on 2014-08-07:
no, which you are using ros and ubuntu verison

Comment by ahendrix on 2014-08-07:
The old versions of rviz don't work very without a graphics card. I recommend upgrading to one of the newer versions of rviz in ROS Hydro and Ubuntu 12.04, or ROS Indigo and Ubuntu 14.04.

Comment by Eric.long on 2014-08-08:
thanks for your help I SELECT ROS Hydro and Ubuntu 12.04 , but this version not support
pr2 ?

Comment by ahendrix on 2014-08-08:
You made no mention of PR2 before. The most recent version of ROS with full support for the PR2 was ROS Groovy.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.